package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.cpzslibs.prot.handset.bean.Product;

public interface ProductDal {

	/**
	 * 插入产品列表到数据库 
	 * @param products
	 */
	public void insertProductList(List<Product> products);
		

	/**
	 * 删除所有的产品信息
	 */
	public void deleteAllProduct();

	/**
	 * 获取查询结果
	 * 
	 * @param msg
	 * @return
	 */
	public List<Product> getPSearch(String msg);

	/**
	 * 通过产品id获取产品信息
	 * 
	 * @param id
	 * @return
	 */
	public Product queryProductById(String id);

	/**
	 * 获取所有的产品列表信息
	 * 
	 * @return
	 */
	public List<Product> queryAllProductInfo();

	public Product getProduct(Cursor c);
	
	/**
	 * 查询所有的产品图片
	 * @return
	 */
	public List<String> queryAllImages();
	
	/**
	 * 选中的次数自加1
	 * @param id
	 */
	public void updateChoiceCountById(String id);
}
